# Delete a grant setting

> **DELETE** `https://api.us.nylas.com/v3/grants/{grant_id}/settings/{setting_name}`

Source: https://developer.nylas.com/docs/reference/api/manage-grants/delete_grant_setting/

Removes the setting and returns the grant to that setting's default behavior.
[Get grant settings](/docs/reference/api/manage-grants/get_grant_settings/) describes each
setting's default.

Returns `200` whether or not the setting had a value, so retrying the request is safe.

**Authentication:** NYLAS_API_KEY

## Parameters

### Path parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `grant_id` | string | Yes | ID of the grant to access. |
| `setting_name` | string, one of: `synced-calendars` | Yes | The setting name. Request and response bodies use the same name as the JSON key. |

## Responses

### 200 - Delete Succeeded

- `request_id` (string) **(required)** - ID of the request.

### 401 - Not Authenticated

- `request_id` (string) **(required)** - ID of the request
- `error` (object) **(required)** - Error object
  - `type` (string) - Type of error
  - `message` (string, default: `"Authentication error"`) - Informative error message
  - `provider_error` (object) - (OPTIONAL) informative error message from provider's side

### 404 - Not Found

- `request_id` (string) - The request ID.
- `error` (object) - The response error object.
  - `type` (string) - The error type.
  - `message` (string) - The error message.

## Code samples

### cURL

```bash
curl --request DELETE \
  --url 'https://api.us.nylas.com/v3/grants/<NYLAS_GRANT_ID>/settings/synced-calendars' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer <NYLAS_API_KEY>'

```
